Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## be.smals.ehealth.codage.beans
Class DecodeResponse

    java.lang.Object
      be.smals.ehealth.codage.beans.DecodeResponse

All Implemented Interfaces:
  Serializable

    @Generated(value="com.sun.tools.xjc.Driver",
               date="2016-10-28T03:09:26+02:00",
               comments="JAXB RI v2.2.6")
    public class DecodeResponse

extends Object
implements Serializable

Java class for DecodeResponseType complex type.

The following schema fragment specifies the expected content contained within this class.

     <complexType name="DecodeResponseType">
       <complexContent>
         <restriction base="{http://www.w3.org/2001/XMLSchema}anyType">
           <sequence>
             <element name="ticketNumber" type="{http://www.w3.org/2001/XMLSchema}string"/>
             <element name="applicationName" type="{http://www.w3.org/2001/XMLSchema}string" minOccurs="0"/>
             <choice>
               <element name="response" type="{http://beans.codage.ehealth.smals.be/}ChoiceDecodedDataErrorType" maxOccurs="unbounded"/>
               <element name="globalError" type="{http://beans.codage.ehealth.smals.be/}GlobalErrorType"/>
             </choice>
           </sequence>
         </restriction>
       </complexContent>
     </complexType>

See Also:
  Serialized Form

Constructor Summary
`DecodeResponse()`

Method Summary
`String` | `getApplicationName()` Gets the value of the applicationName property.
`GlobalErrorType` | `getGlobalError()` Gets the value of the globalError property.
`List<ChoiceDecodedDataErrorType>` | `getResponses()` Gets the value of the responses property.
`String` | `getTicketNumber()` Gets the value of the ticketNumber property.
`void` | `setApplicationName(String value)` Sets the value of the applicationName property.
`void` | `setGlobalError(GlobalErrorType value)` Sets the value of the globalError property.
`void` | `setTicketNumber(String value)` Sets the value of the ticketNumber property.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DecodeResponse

    public DecodeResponse()

Method Detail

### getTicketNumber

    public String getTicketNumber()

  Gets the value of the ticketNumber property.

  Returns:
    possible object is `String`

### setTicketNumber

    public void setTicketNumber(String value)

  Sets the value of the ticketNumber property.

  Parameters:
    `value` - allowed object is `String`

### getApplicationName

    public String getApplicationName()

  Gets the value of the applicationName property.

  Returns:
    possible object is `String`

### setApplicationName

    public void setApplicationName(String value)

  Sets the value of the applicationName property.

  Parameters:
    `value` - allowed object is `String`

### getGlobalError

    public GlobalErrorType getGlobalError()

  Gets the value of the globalError property.

  Returns:
    possible object is `GlobalErrorType`

### setGlobalError

    public void setGlobalError(GlobalErrorType value)

  Sets the value of the globalError property.

  Parameters:
    `value` - allowed object is `GlobalErrorType`

### getResponses

    public List<ChoiceDecodedDataErrorType> getResponses()

  Gets the value of the responses property.

  This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the responses property.

  For example, to add a new item, do as follows:

          getResponses().add(newItem);

  Objects of the following type(s) are allowed in the list `ChoiceDecodedDataErrorType`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Connector Packaging PERSOCCUPATIONALTHERAPIST 3.11.1 API
Copyright © {inceptionYear}-2016 eHealth. All Rights Reserved.